Package org.apache.solr.client.solrj.response

# Class ConfigSetAdminResponse.List

java.lang.Object
org.apache.solr.client.solrj.SolrResponse
org.apache.solr.client.solrj.response.SolrResponseBase
org.apache.solr.client.solrj.response.ConfigSetAdminResponse
org.apache.solr.client.solrj.response.ConfigSetAdminResponse.List

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `ConfigSetAdminResponse`

public static class ConfigSetAdminResponse.List extends ConfigSetAdminResponse

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.ConfigSetAdminResponse

`ConfigSetAdminResponse.List`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`List()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getConfigSets()`

### Methods inherited from class org.apache.solr.client.solrj.response.ConfigSetAdminResponse

`getErrorMessages`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### List

public List()

## Method Details

### getConfigSets

public List<String> getConfigSets()